<?php

include "config.php";
include "boilerplate/question.php";

$query = "
SELECT * FROM data
WHERE ispublic=true
AND isrespondedto=true;
";

$queryResponse = pg_query($db, $query);
$questions = pg_fetch_all($queryResponse);
asort($questions);

$properTitle = "{$pageTitle} &mdash; all messages";
include "boilerplate/pageStart.php";

echo("<h2 class=\"title\">" . $pageTitle . "</h2>");

if ($pageDomainEnabled) {
  echo("<a href=\"https://{$pageDomainOther}{$pageRoot}\">(go back to " . $pageDomain . "?)</a>");
}

if ($_GET["sent"] == 1) {
  echo("<span class=\"sentconf\"><br>message sent!</span>");
}

?>

<div class="sendmsg">
  <details open>
    <summary class="sendsum">send a message!</summary>
    <form class="frm" action="send.php">
      <label for="questioninput">enter your message: </label>
      <input id="questioninput" name="text" required><br>
      <label for="cwinput">cw if applicable: </label>
      <input id="cwinput" name="cw"><br>
      <input type="checkbox" id="pubbox" name="public" value="1" checked>
      <label for="pubbox">if this is checked, your message will be available publicly</label><br>
      <input type="submit" value="send">
    </form>
  </details>
</div>

<?php
  if ($emojiEnabled) {
    echo("<a href=\"emoji.php\">view emoji list</a>");
  }
?>

<hr>
<h3 class="sect">all past messages</h3>

<?php

foreach (array_reverse($questions) as $question){
  echo(getQuestion($question));
}

include "boilerplate/pageEnd.php";

?>
